Get a patient
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"mrn": "<string>",
"middle_name": "<string>",
"preferred_name": "<string>",
"title": "<string>",
"suffix": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"marital_status": "single",
"client_type": "adult",
"client_status": "<string>",
"is_dependent": true,
"email": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"country": "<string>",
"nationality": "<string>",
"occupation": "<string>",
"residential_address": "<string>",
"work_address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"next_of_kin": {
"name": "<string>",
"phone": "<string>",
"address": "<string>"
},
"national_id": "<string>",
"preferred_language": "<string>",
"referred_by": "<string>",
"referral_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employment": {
"status": "<string>",
"company": "<string>",
"role": "<string>"
},
"is_waitlist": true,
"billing": {
"individual_type": "self_pay",
"group_type": "self_pay"
},
"sponsor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allergies": [
"<string>"
],
"medical_history": "<string>",
"current_medications": [
"<string>"
],
"chronic_conditions": [
"<string>"
],
"blood_type": "O+",
"genotype": "AA",
"family_history": "<string>",
"smoking_status": "<string>",
"alcohol_use": "<string>",
"recreational_drug_use": "<string>",
"physical_activity": "<string>",
"living_arrangement": "<string>",
"has_profile_image": true,
"profile_image_path": "<string>",
"status": "active",
"is_vip": true,
"primary_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portal_access_enabled": true,
"admission_status": "<string>",
"couple": {
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responsible_for_billing": true,
"relationship_status": "<string>"
},
"emails": [
{
"email": "[email protected]",
"type": "<string>",
"permission": "email_ok",
"is_primary": false
}
],
"phones": [
{
"phone_number": "<string>",
"type": "<string>",
"permission": "text_voicemail_ok",
"is_primary": false
}
],
"guardians": [
{
"guardian_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"relationship": "parent",
"is_responsible_for_billing": false,
"is_primary": false,
"can_access_records": false,
"is_emergency_contact": true,
"can_schedule_appointments": false,
"notes": "<string>"
}
],
"insurance": [
{}
],
"pharmacies": [
{}
],
"care_providers": [
{}
],
"notification_settings": {
"upcoming_appointments_enabled": true,
"upcoming_appointments_email_option": "<string>",
"upcoming_appointments_phone_option": "<string>",
"incomplete_documents_enabled": true,
"incomplete_documents_email_option": "<string>",
"incomplete_documents_phone_option": "<string>",
"cancellations_enabled": true,
"cancellations_email_option": "<string>",
"cancellations_phone_option": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Patients
Get a patient
Permission: patients:read
Get one patient by id.
A restricted patient, or one in another clinic, answers not_found — identical to absent (I-3).
GET
/
v1
/
clinics
/
{clinic_id}
/
patients
/
{patient_id}
Get a patient
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/patients/{patient_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"mrn": "<string>",
"middle_name": "<string>",
"preferred_name": "<string>",
"title": "<string>",
"suffix": "<string>",
"date_of_birth": "2023-12-25",
"gender": "male",
"marital_status": "single",
"client_type": "adult",
"client_status": "<string>",
"is_dependent": true,
"email": "<string>",
"phone": "<string>",
"secondary_phone": "<string>",
"country": "<string>",
"nationality": "<string>",
"occupation": "<string>",
"residential_address": "<string>",
"work_address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"next_of_kin": {
"name": "<string>",
"phone": "<string>",
"address": "<string>"
},
"national_id": "<string>",
"preferred_language": "<string>",
"referred_by": "<string>",
"referral_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employment": {
"status": "<string>",
"company": "<string>",
"role": "<string>"
},
"is_waitlist": true,
"billing": {
"individual_type": "self_pay",
"group_type": "self_pay"
},
"sponsor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allergies": [
"<string>"
],
"medical_history": "<string>",
"current_medications": [
"<string>"
],
"chronic_conditions": [
"<string>"
],
"blood_type": "O+",
"genotype": "AA",
"family_history": "<string>",
"smoking_status": "<string>",
"alcohol_use": "<string>",
"recreational_drug_use": "<string>",
"physical_activity": "<string>",
"living_arrangement": "<string>",
"has_profile_image": true,
"profile_image_path": "<string>",
"status": "active",
"is_vip": true,
"primary_location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portal_access_enabled": true,
"admission_status": "<string>",
"couple": {
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"responsible_for_billing": true,
"relationship_status": "<string>"
},
"emails": [
{
"email": "[email protected]",
"type": "<string>",
"permission": "email_ok",
"is_primary": false
}
],
"phones": [
{
"phone_number": "<string>",
"type": "<string>",
"permission": "text_voicemail_ok",
"is_primary": false
}
],
"guardians": [
{
"guardian_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"relationship": "parent",
"is_responsible_for_billing": false,
"is_primary": false,
"can_access_records": false,
"is_emergency_contact": true,
"can_schedule_appointments": false,
"notes": "<string>"
}
],
"insurance": [
{}
],
"pharmacies": [
{}
],
"care_providers": [
{}
],
"notification_settings": {
"upcoming_appointments_enabled": true,
"upcoming_appointments_email_option": "<string>",
"upcoming_appointments_phone_option": "<string>",
"incomplete_documents_enabled": true,
"incomplete_documents_email_option": "<string>",
"incomplete_documents_phone_option": "<string>",
"cancellations_enabled": true,
"cancellations_email_option": "<string>",
"cancellations_phone_option": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}